import "../../../chunks/chunk.QU3DSPNU.js";
import { createElement, useRef } from "react";
import { GdsTextarea as GdsTextareaClass } from "../../../components/textarea/textarea.component.js";
import { getReactComponent, useControlledValue } from "../../../utils/react.js";
const GdsTextarea = (props) => {
  GdsTextareaClass.define();
  const JSXElement = getReactComponent("gds-textarea");
  const internalRef = useRef(null);
  const ref = props.ref || internalRef;
  useControlledValue(
    ref,
    props.value,
    props.defaultValue,
    props.onChange,
    props.onInput
  );
  const { onChange, onInput, ref: _ref, ...restProps } = props;
  const propsWithClass = { ...restProps, class: props.className, ref };
  return createElement(JSXElement, propsWithClass);
};
GdsTextarea.displayName = "GdsTextarea";
export {
  GdsTextarea
};
